/**
This file is part of a project licensed under the GNU General Public License v3.
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.
*/

<template>
  <section>
    <b-loading :active="!iiifUrl && !xmlJson"></b-loading>
    <div v-if="iiifUrl && xmlJson">
    <TranscriptionInterfaceLocal
      :iiifUrl="iiifUrl"
      :xmlJson="xmlJson"
    />
  </div>
  </section>
</template>

<script>
import TranscriptionInterfaceLocal from "../components/DetailView/TranscriptionInterfaceLocal.vue";

import { mapState, mapGetters } from "vuex";

import imageMixin from "../mixins/image.js";

const json = require("../assets/page1.json");

export default {
  components: {
    TranscriptionInterfaceLocal,
  },
  mixins: [imageMixin],
  computed: {
    ...mapState("content", ["iiifUrl", "xmlJson"]),
  },
  props: {
    // iiifUrl: {
    //   type: String,
    //   required: true,
    // },
    // xmlJson: {
    //   type: Object,
    //   required: true,
    // },
  },
  data() {
    return {};
  },
  methods: {},
};
</script>
